Bug 1730699 - Review Request: copr-messaging - Abstraction for Copr messaging listeners/publishers
Summary: Review Request: copr-messaging - Abstraction for Copr messaging listeners/pub...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pavel Raiskup
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-17 11:53 UTC by Silvie Chlupova
Modified: 2019-08-07 01:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-07 01:44:33 UTC
praiskup: fedora-review+


Attachments (Terms of Use)

Description Silvie Chlupova 2019-07-17 11:53:37 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/@copr/copr/fedora-29-ppc64le/00973054-copr-messaging/copr-messaging.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/@copr/copr/fedora-29-ppc64le/00973054-copr-messaging/copr-messaging-0.1-1.fc29.src.rpm
Description: Schemas for messages sent by Copr project, as described on fedora-messaging documentation page https://fedora-messaging.readthedocs.io/en/latest/messages.html#schema.
The package also provides several convenience methods for working with copr messages.
Fedora Account System Username: schlupov

Comment 1 Robert-André Mauchin 2019-07-17 17:38:46 UTC
 - Your Py 3 subpackage should contain the Python provide macro:

%package -n python3-%name
Summary: %summary
Provides: %name = %version
%{?python_provide:%python_provide python3-%{name}}

See https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_the_python_provide_macro

 - You must install the LICENSE file with %license in %files

%files -n python3-%name
%license LICENSE

 - You should include the README.md file as well with %doc

%files -n python3-%name
%license LICENSE
%doc README.md

 - There are Sphinx docs provided: build them and install them with %doc

BuildRequires:  python3-sphinx

[…]

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

[…]

%files -n python3-%name
%license LICENSE
%doc README.md html

 - Add your own changelog entry with your name and email

* Wed Jul 17 2019 Silvie Chlupova <schlupov@redhat.com> - 0.1-1
- Initial package

Comment 3 Pavel Raiskup 2019-07-25 10:24:04 UTC
Can you please package the v0.2 tarball?

Comment 6 Miroslav Suchý 2019-07-25 11:53:24 UTC
I sponsored Silvie.

Comment 7 Pavel Raiskup 2019-07-25 11:56:20 UTC
Few innocent macros in comments, by my fault in PR#873.  We'll fix this before
next release.  Looks good to me, approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GPL (v2 or later)". 11 files have
     unknown license. Detailed output of licensecheck in /tmp/1730699-copr-
     messaging/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-copr-messaging
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-copr-messaging-0.3-1.fc31.noarch.rpm
          python3-copr-messaging-doc-0.3-1.fc31.noarch.rpm
          copr-messaging-0.3-1.fc31.src.rpm
python3-copr-messaging.noarch: W: spelling-error %description -l en_US Schemas -> Schema, Sachems, Schemes
python3-copr-messaging-doc.noarch: W: spelling-error %description -l en_US Schemas -> Schema, Sachems, Schemes
copr-messaging.src: W: spelling-error %description -l en_US Schemas -> Schema, Sachems, Schemes
copr-messaging.src:18: W: macro-in-comment %url
copr-messaging.src:19: W: macro-in-comment %name
copr-messaging.src:19: W: macro-in-comment %version
copr-messaging.src:19: W: macro-in-comment %release
copr-messaging.src: E: specfile-error warning: Macro expanded in comment on line 18: %url && cd copr
copr-messaging.src: E: specfile-error 
copr-messaging.src: E: specfile-error warning: Macro expanded in comment on line 19: %name-%version-%release
copr-messaging.src: E: specfile-error 
copr-messaging.src: E: specfile-error warning: Macro expanded in comment on line 18: %url && cd copr
copr-messaging.src: E: specfile-error 
copr-messaging.src: E: specfile-error warning: Macro expanded in comment on line 19: %name-%version-%release
3 packages and 0 specfiles checked; 7 errors, 7 warnings.


Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
python3-copr-messaging-doc.noarch: W: spelling-error %description -l en_US Schemas -> Schema, Sachems, Schemes
python3-copr-messaging-doc.noarch: W: invalid-url URL: https://pagure.io/copr/copr <urlopen error [Errno -2] Name or service not known>
python3-copr-messaging.noarch: W: spelling-error %description -l en_US Schemas -> Schema, Sachems, Schemes
python3-copr-messaging.noarch: W: invalid-url URL: https://pagure.io/copr/copr <urlopen error [Errno -2] Name or service not known>
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

Comment 8 Gwyn Ciesla 2019-07-25 14:46:26 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/copr-messaging

Comment 9 Fedora Update System 2019-07-29 14:01:31 UTC
FEDORA-2019-de27a555ae has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-de27a555ae

Comment 10 Fedora Update System 2019-07-29 14:05:33 UTC
FEDORA-2019-d7078f7833 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d7078f7833

Comment 11 Fedora Update System 2019-07-30 00:56:10 UTC
copr-messaging-0.3-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-de27a555ae

Comment 12 Fedora Update System 2019-07-30 03:44:14 UTC
copr-messaging-0.3-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d7078f7833

Comment 13 Fedora Update System 2019-08-07 01:44:33 UTC
copr-messaging-0.3-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-08-07 01:55:23 UTC
copr-messaging-0.3-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.